# Utilities

General helper functions

```js
const util = require('@scode/utilities');

// cut off decimal places to a specified point
util.truncate_decimal(12.345678, 2);
// returns 12.34

// will return null instead of throwing on invalid json
util.try_parse_json('{{foo');

// copy an object to prevent modification of the original
const obj = {foo:'bar'};
const copy = util.copy_object(obj);
copy.foo = 'baz';
console.log(obj.foo); // bar
```
